#import <UIKit/UIKit.h>

@interface HelloController : UIViewController <UIActionSheetDelegate>
@end

@implementation HelloController 

- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex
{
	printf("User Pressed Button %d\n", buttonIndex + 1);
	[actionSheet release];
}

- (void) presentSheet
{
	UIActionSheet *menu = [[UIActionSheet alloc] 
						   initWithTitle: @"File Management" 
						   delegate:self
						   cancelButtonTitle:@"Cancel"
						   destructiveButtonTitle:@"Delete File"
						   otherButtonTitles:@"Rename File", @"Email File", nil];
	[menu showInView:self.view];
}

- (id) init
{
	if (self = [super init]) self.title = @"Hello World";
	return self;
}

- (void)loadView
{
	UIView *contentView = [[UIView alloc] initWithFrame:[[UIScreen mainScreen] applicationFrame]];
	self.view = contentView;
	contentView.backgroundColor = [UIColor whiteColor];
    [contentView release]; 
	
	self.navigationItem.rightBarButtonItem = [[[UIBarButtonItem alloc]
											   initWithTitle:@"Do It" 
											   style:UIBarButtonItemStylePlain 
											   target:self 
											   action:@selector(presentSheet)] autorelease];
}
@end


@interface SampleAppDelegate : NSObject <UIApplicationDelegate> 
@end

@implementation SampleAppDelegate
- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	UIWindow *window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:[[HelloController alloc] init]];
	[window addSubview:nav.view];
	[window makeKeyAndVisible];
}
@end

int main(int argc, char *argv[])
{
	NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
	int retVal = UIApplicationMain(argc, argv, nil, @"SampleAppDelegate");
	[pool release];
	return retVal;
}
